Subject: Re: Last Call: <draft-ietf-v6ops-rfc6555bis-05.txt> (Happy Eyeballs Version 2: Better Connectivity Using Concurrency) to Proposed Standard

From: Warren Kumari <[email-masked]>
Date: Sat, 16 Sep 2017 18:29:17 -0400

[ - IETF announce, v6ops to BCC (to cut down on clutter) ]

On Tue, Sep 12, 2017 at 10:39 AM, The IESG <[email-masked]> wrote:
>
> The IESG has received a request from the IPv6 Operations WG (v6ops) to
> consider the following document: - 'Happy Eyeballs Version 2: Better
> Connectivity Using Concurrency'
>   <draft-ietf-v6ops-rfc6555bis-05.txt> as Proposed Standard
>
> The IESG plans to make a decision in the next few weeks, and solicits final
> comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2017-09-26. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the beginning of
> the Subject line to allow automated sorting.
>
> Abstract
>
>
>    Many communication protocols operated over the modern Internet use
>    host names.  These often resolve to multiple IP addresses, each of
>    which may have different performance and connectivity
>    characteristics.  Since specific addresses or address families (IPv4
>    or IPv6) may be blocked, broken, or sub-optimal on a network, clients
>    that attempt multiple connections in parallel have a higher chance of
>    establishing a connection sooner.  This document specifies
>    requirements for algorithms that reduce this user-visible delay and
>    provides an example algorithm.
>
>
>
>
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-ietf-v6ops-rfc6555bis/
>
> IESG discussion can be tracked via
> https://datatracker.ietf.org/doc/draft-ietf-v6ops-rfc6555bis/ballot/
>
>
> No IPR declarations have been submitted directly on this I-D.
>

After the IETF LC was started the authors became aware that their
employer might possibly have some IPR associated with this document.
They are checking with their legal team to determine if this is the
case, and will file the necessary disclosures if there is.

I felt I should make the community aware, and also wanted to
explicitly thank the authors for giving us a heads up.

Warren.

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf